MQQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQQueue

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

All Known Subinterfaces:
  MQAliasQueue, MQLocalQueue, MQModelQueue, MQRemoteQueue

    public interface MQQueue

extends LogicalElement, MQBase, ConfigurationItem

The following attributes apply to all queue object types: +Put (PUT)-Whether it is possible to put messages onto this local queue, or send messages through this queue object. Put disabling a queue shared in a cluster prevents messages from being routed to it. +Default persistence (DEFPSIST)- The default persistence of messages sent (with MQPUT), after opening this queue object (with MQOPEN).

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQQUEUE

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getDefaultPersistence()`
`java.lang.String` | `getName()` Queue name (parameter identifier: MQCA_Q_NAME).
`boolean` | `getPut()` Whether put operations are allowed (parameter identifier: MQIA_INHIBIT_PUT).
`java.lang.String` | `getQSGDISP()` Specific to ZOS.
`MQQueueManager` | `getQueueManager()`
`boolean` | `hasDefaultPersistence()`
`boolean` | `hasName()`
`boolean` | `hasPut()`
`boolean` | `hasQSGDISP()`
`boolean` | `hasQueueManager()`
`void` | `setDefaultPersistence(int x)`
`void` | `setName(java.lang.String x)`
`void` | `setPut(boolean x)`
`void` | `setQSGDISP(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPut

    boolean getPut()
                   throws AttributeNotSetException

  Whether put operations are allowed (parameter identifier: MQIA_INHIBIT_PUT).

  Throws:
    `AttributeNotSetException`

### setPut

    void setPut(boolean x)

### hasPut

    boolean hasPut()

### getQSGDISP

    java.lang.String getQSGDISP()
                                throws AttributeNotSetException

  Specific to ZOS. enum (COPY,GROUP,QMGR,SHARED)

  Throws:
    `AttributeNotSetException`

### setQSGDISP

    void setQSGDISP(java.lang.String x)

### hasQSGDISP

    boolean hasQSGDISP()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getDefaultPersistence

    int getDefaultPersistence()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultPersistence

    void setDefaultPersistence(int x)

### hasDefaultPersistence

    boolean hasDefaultPersistence()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Queue name (parameter identifier: MQCA_Q_NAME). The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD